export function summate(data) {
  return data.reduce((a, b) => {
    return a + b.value * 1
  }, 0)
}

/**
 * 格式化千分位
 * @param num
 * @returns {string}
 */
export function formatNumber(num) {
  const bool = Number.isInteger(num)
  const reg = /\d{1,3}(?=(\d{3})+$)/g
  if (bool) {
    return `${num}`.replace(reg, '$&,')
  }
  const temp = `${num}`.split('.')
  return temp[0].replace(reg, '$&,') + '.' + temp[1]
}

export function omit(obj, fields) {
  const shallowCopy = {
    ...obj,
  }
  for (let i = 0; i < fields.length; i++) {
    const key = fields[i]
    delete shallowCopy[key]
  }
  return shallowCopy
}
