"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.summate = summate;
exports.formatNumber = formatNumber;
exports.omit = omit;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function summate(data) {
  return data.reduce(function (a, b) {
    return a + b.value * 1;
  }, 0);
}
/**
 * 格式化千分位
 * @param num
 * @returns {string}
 */


function formatNumber(num) {
  var bool = Number.isInteger(num);
  var reg = /\d{1,3}(?=(\d{3})+$)/g;

  if (bool) {
    return "".concat(num).replace(reg, '$&,');
  }

  var temp = "".concat(num).split('.');
  return temp[0].replace(reg, '$&,') + '.' + temp[1];
}

function omit(obj, fields) {
  var shallowCopy = _objectSpread({}, obj);

  for (var i = 0; i < fields.length; i++) {
    var key = fields[i];
    delete shallowCopy[key];
  }

  return shallowCopy;
}